{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": "sh",
            "inputs": [
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#dbfetch.cwl/accessions-file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 4
                    },
                    "id": "#dbfetch.cwl/accessions-string"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/b191ca3e4273b922bba6af4c1eacdaa86a5b62f4/workflows/dbfetch.sh"
                    },
                    "id": "#dbfetch.cwl/command"
                },
                {
                    "type": "string",
                    "doc": "Database to be searched.",
                    "inputBinding": {
                        "position": 3
                    },
                    "default": "uniprot",
                    "id": "#dbfetch.cwl/database"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "position": 2
                    },
                    "default": "fetchBatch",
                    "id": "#dbfetch.cwl/method"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 5
                    },
                    "default": "15",
                    "id": "#dbfetch.cwl/numberAccessions"
                },
                {
                    "type": "string",
                    "doc": "Format of the output",
                    "inputBinding": {
                        "position": 6
                    },
                    "default": "fasta",
                    "id": "#dbfetch.cwl/outformat"
                },
                {
                    "type": "string",
                    "doc": "Style of the output",
                    "inputBinding": {
                        "position": 7
                    },
                    "default": "raw",
                    "id": "#dbfetch.cwl/outstyle"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/webservice-clients/perl/dbfetch.pl"
                    },
                    "id": "#dbfetch.cwl/perl"
                }
            ],
            "id": "#dbfetch.cwl",
            "stdout": "69c6a60aceb939af3574cf293a727acdf7721ca9",
            "outputs": [
                {
                    "type": "File",
                    "id": "#dbfetch.cwl/sequences",
                    "outputBinding": {
                        "glob": "69c6a60aceb939af3574cf293a727acdf7721ca9"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "perl",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    },
                    "default": {
                        "class": "File",
                        "location": "https://raw.githubusercontent.com/ebi-wp/webservice-cwl/webservice-clients/perl/phobius.pl"
                    },
                    "id": "#phobius.cwl/command"
                },
                {
                    "type": "string",
                    "doc": "Submitter's email",
                    "inputBinding": {
                        "prefix": "--email"
                    },
                    "default": "test@ebi.ac.uk",
                    "id": "#phobius.cwl/email"
                },
                {
                    "type": [
                        "null",
                        {
                            "type": "enum",
                            "symbols": [
                                "#phobius.cwl/format-results/short",
                                "#phobius.cwl/format-results/long",
                                "#phobius.cwl/format-results/grp",
                                "#phobius.cwl/format-results/raw"
                            ],
                            "inputBinding": {
                                "prefix": "--format"
                            }
                        }
                    ],
                    "id": "#phobius.cwl/format-results"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "id": "#phobius.cwl/input-file"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--jobid"
                    },
                    "id": "#phobius.cwl/jobid"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--outfile"
                    },
                    "default": "phobius_results",
                    "id": "#phobius.cwl/outfile"
                },
                {
                    "type": "string",
                    "inputBinding": {
                        "prefix": "--outformat"
                    },
                    "default": "out",
                    "id": "#phobius.cwl/outformat"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--paramDetail"
                    },
                    "id": "#phobius.cwl/paramdetails"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--params",
                        "position": 1
                    },
                    "id": "#phobius.cwl/params"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "--pollFreq"
                    },
                    "id": "#phobius.cwl/pollfreq"
                },
                {
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "prefix": "--polljob"
                    },
                    "id": "#phobius.cwl/polljob"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 3,
                        "prefix": "--sequence"
                    },
                    "id": "#phobius.cwl/sequence"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "--title"
                    },
                    "id": "#phobius.cwl/title"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "*phobius_results.out*"
                    },
                    "id": "#phobius.cwl/phobius_out"
                }
            ],
            "id": "#phobius.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/accessions"
                },
                {
                    "type": "string",
                    "id": "#main/email"
                },
                {
                    "type": "string",
                    "id": "#main/method"
                },
                {
                    "type": "string",
                    "id": "#main/outformat"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/phobius_step/phobius_out",
                    "id": "#main/workflow_output"
                }
            ],
            "steps": [
                {
                    "run": "#dbfetch.cwl",
                    "in": [
                        {
                            "source": "#main/accessions",
                            "id": "#main/dbfetch_step/accessions-string"
                        },
                        {
                            "source": "#main/method",
                            "id": "#main/dbfetch_step/method"
                        },
                        {
                            "source": "#main/outformat",
                            "id": "#main/dbfetch_step/outformat"
                        }
                    ],
                    "out": [
                        "#main/dbfetch_step/sequences"
                    ],
                    "id": "#main/dbfetch_step"
                },
                {
                    "run": "#phobius.cwl",
                    "in": [
                        {
                            "source": "#main/email",
                            "id": "#main/phobius_step/email"
                        },
                        {
                            "source": "#main/dbfetch_step/sequences",
                            "id": "#main/phobius_step/sequence"
                        }
                    ],
                    "out": [
                        "#main/phobius_step/phobius_out"
                    ],
                    "id": "#main/phobius_step"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
